summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/stable-update.sh23
1 files changed, 18 insertions, 5 deletions
diff --git a/scripts/stable-update.sh b/scripts/stable-update.sh
index 259a338c1..90b34aa2d 100755
--- a/scripts/stable-update.sh
+++ b/scripts/stable-update.sh
@@ -1,5 +1,4 @@
#!/bin/sh
-#
# Author: Laura Abbott <labbott@fedoraproject.org>
#
# Apply a stable patch update to the Fedora tree. This takes care of
@@ -13,6 +12,11 @@
#
# Args: Stable version to update (e.g. 4.7.7, 4.8.1)
+# update orgin
+vanilla-kernel-helper.sh masterupdate
+currentbranch=$(git symbolic-ref --short HEAD)
+git merge --no-edit origin/${currentbranch%-user-thl-vanilla-fedora} || exit 1
+
if [ $# -lt 1 ]; then
echo "Need a version"
exit 1
@@ -59,9 +63,13 @@ fi
# exit 1
# fi
+
grep $1 sources &> /dev/null
if [ ! $? -eq 0 ]; then
- fedpkg upload patch-$1.xz
+ # thl is not an allowed uploader, skip this
+ # fedpkg upload patch-$1.xz
+ checksum=$(sha512sum patch-$1.xz)
+ echo "SHA512 (patch-$1.xz) = ${checksum:0:128}" >> sources
# Cryptic awk: search for the previous patch level (if one exists) and
# remove it from the source file
@@ -77,8 +85,13 @@ awk -v STABLE=$SUBLEVEL '/%define stable_update/ \
mv kernel.spec.tmp kernel.spec
# Reset the base release for use with rpmdev-bumpspec
-BASERELEASE=`cat kernel.spec | grep "%global baserelease" | cut -d ' ' -f 3 | head -c 1`00
-BASERELEASE=$(($BASERELEASE-1))
+BASERELEASE=`cat kernel.spec | grep "%global baserelease" | cut -d ' ' -f 3 | head -c 1`50
+#BASERELEASE=$(($BASERELEASE-1))
BASERELEASE=$BASERELEASE perl -p -i -e 's|%global baserelease.*|%global baserelease $ENV{'BASERELEASE'}|' kernel.spec
-rpmdev-bumpspec -c "Linux v$1" kernel.spec
+# do not generate changelog: avoids merge conflicts that are not worth the trouble
+# rpmdev-bumpspec -c "Linux v$1" kernel.spec
+
+git diff kernel.spec sources
+sleep 1 || exit 1
+git commit -m "Linux v$1" kernel.spec sources